<?php
defined('TYPO3_MODE') || die('Access denied.');

call_user_func(
    function()
    {

        \TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
            'Pangira.Easylink',
            'Easylink',
            [
                'Easylink' => 'list'
            ],
            // non-cacheable actions
            [
                'Easylink' => ''
            ]
        );

        // wizards
        \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPageTSConfig(
            'mod {
                wizards.newContentElement.wizardItems.plugins {
                    elements {
                        easylink {
                            iconIdentifier = easylink-plugin-easylink
                            title = LLL:EXT:easylink/Resources/Private/Language/locallang.xlf:tx_easylink_easylink.name
                            description = LLL:EXT:easylink/Resources/Private/Language/locallang.xlf:tx_easylink_easylink.description
                            tt_content_defValues {
                                CType = list
                                list_type = easylink_easylink
                            }
                        }
                    }
                    show = *
                }
           }'
        );
    	$iconRegistry = \TYPO3\CMS\Core\Utility\GeneralUtility::makeInstance(\TYPO3\CMS\Core\Imaging\IconRegistry::class);
    	
    	$iconRegistry->registerIcon(
    		'easylink-plugin-easylink',
    		\TYPO3\CMS\Core\Imaging\IconProvider\SvgIconProvider::class,
    		['source' => 'EXT:easylink/Resources/Public/Icons/user_plugin_easylink.svg']
    	);	
    }
);
